<section class="mainContent">
  <app-menu></app-menu>
  <section class="usersContent">
    <div class="search">
      <button routerLink="/admin/user/0" class="deco btn btn-dark"><i class="fas fa-plus"></i> Nouvel utilisateur</button>
      <form [formGroup]="searchForm">
        <label for="search">Effectuer une recherche : </label>
        <input (ngModelChange)="search($event)" formControlName="search" id="search" type="text">
      </form>
    </div>
    <div class="tableContent">
      <table class="table">
        <thead class="thead-dark">
          <tr>
            <th scope="col">Prénom</th>
            <th scope="col">Nom</th>
            <th scope="col">Email</th>
            <th scope="col">Addresse</th>
            <th scope="col">Ville</th>
            <th scope="col">CP</th>
            <th scope="col">Rôle</th>
          </tr>
        </thead>
        <tbody>
          <tr class="dataRow" routerLink="/admin/user/{{user.id}}" *ngFor="let user of usersShowed">
            <td>{{user.surname}}</td>
            <td>{{user.lastname}}</td>
            <td>{{user.username}}</td>
            <td>{{user.address}}</td>
            <td>{{user.city.city}}</td>
            <td>{{user.city.zipCode}}</td>
            <td>{{user.role.role}}</td>
          </tr>
        </tbody>
      </table>
    </div>
  </section>
</section>
